Arch SplitMesh/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Arch_CloneComponent|Clone component]]
|[[Arch_MeshToShape|Mesh To Shape]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Arch SplitMesh|Name/sv=Arch SplitMesh|Workbenches=[[Arch Module/sv|Arch]]|MenuLocation=Arch → Utilities → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes/sv|Arch SelectNonSolidMeshes]]}}
{{GuiCommand/sv|Name=Arch SplitMesh|Name/sv=Arch SplitMesh|Workbenches=[[Arch Module/sv|Arch]]|MenuLocation=Arch → Utilities → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes/sv|Arch SelectNonSolidMeshes]]}}
</div>


====Beskrivning====
====Beskrivning====


This tool splits a selected [[Mesh Module|Mesh]] object into its separate components
This tool splits a selected [[Mesh_Workbench|Mesh]] object into its separate components


==How to use==
==Usage==


# Select a mesh object
# Select a mesh object.
# Press the {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} entry in Arch -> Utilities menu
# Press the {{Button|[[Image:Arch_SplitMesh.svg|16px]] [[Arch_SplitMesh|Split Mesh]]}} entry in {{MenuCommand|Arch Utilities Split Mesh}}.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

The SplitMesh tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


The Split Mesh tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
{{Code|code=
new_list = splitMesh(obj, mark=True)
splitMesh (object,[mark])
}}

* Splits the given mesh object ({{incode|obj}}) into separated components.
* If {{incode|mark}} is {{incode|True}} [http://en.wikipedia.org/wiki/Manifold non-manifold] components will be painted red.
* {{incode|new_list}} is a list of all the individual components that make the mesh.

Example:

{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
}}

{{Docnav
|[[Arch_CloneComponent|Clone component]]
|[[Arch_MeshToShape|Mesh To Shape]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloneComponent.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}
}}
splits the given mesh object into separated components.


{{Arch Tools navi{{#translation:}}}}
If mark is False, nothing else is done. If True (default), non-[http://en.wikipedia.org/wiki/Manifold manifold] components will be painted in red.


{{Userdocnavi{{#translation:}}}}
[[Category:Arch]]

Revision as of 15:30, 12 December 2020

Arch SplitMesh

Menyplacering
Arch → Utilities → Split Mesh
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch SelectNonSolidMeshes

Beskrivning

This tool splits a selected Mesh object into its separate components

Usage

  1. Select a mesh object.
  2. Press the Split Mesh entry in Arch → Utilities → Split Mesh.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SplitMesh tool can be used in macros and from the Python console by using the following function:

new_list = splitMesh(obj, mark=True)
  • Splits the given mesh object (obj) into separated components.
  • If mark is True non-manifold components will be painted red.
  • new_list is a list of all the individual components that make the mesh.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)